[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#256092: patch



Howdy,

The attached patch will display an error message if a JFS file
system is used on the partition that holds the kernel.  Is this
the right solution?

-- 
Matt Kraai            kraai@ftbfs.org            http://ftbfs.org/
Index: debian/changelog
===================================================================
--- debian/changelog	(revision 18063)
+++ debian/changelog	(working copy)
@@ -1,3 +1,12 @@
+partman-jfs (4) UNRELEASED; urgency=low
+
+  * Matt Kraai
+    - Do not allow the user to use a JFS /boot partition or, if they don't
+      have a /boot partition, a JFS root partition on a NewWorld PowerPC
+      (closes: #256092).
+
+ -- Matt Kraai <kraai@debian.org>  Wed, 21 Jul 2004 06:08:09 -0700
+
 partman-jfs (3) unstable; urgency=low
 
   * Anton Zinoviev
Index: debian/templates
===================================================================
--- debian/templates	(revision 18063)
+++ debian/templates	(working copy)
@@ -72,7 +72,7 @@
 # Short file system name (untranslatable in many languages)
 _Description: jfs
 
-Template: partman-jfs/jfs_root
+Template: partman-jfs/jfs_root_warning
 Type: boolean
 Default: false
 _Description: Use unrecommended JFS root filesystem?
@@ -82,7 +82,7 @@
  .
  You should use a small /boot partition with another filesystem, such as ext3.
 
-Template: partman-jfs/jfs_boot
+Template: partman-jfs/jfs_boot_warning
 Type: boolean
 Default: false
 _Description: Use unrecommended JFS /boot filesystem?
@@ -91,3 +91,19 @@
  problems installing or booting GRUB. 
  .
  You should use another filesystem, such as ext3, for the /boot partition.
+
+Template: partman-jfs/jfs_root_error
+Type: error
+_Description: Cannot use JFS root filesystem
+ Your root filesystem is an JFS filesystem.  You will not be able to boot with
+ the yaboot bootloader used by this installer.
+ .
+ You should use a small /boot partition with another filesystem, such as ext3.
+
+Template: partman-jfs/jfs_boot_error
+Type: error
+_Description: Cannot use JFS /boot filesystem
+ You have mounted an JFS filesystem as /boot.  You will not be able to boot
+ with the the yaboot bootloader used by this installer.
+ .
+ You should use another filesystem, such as ext3, for the /boot partition.
Index: finish.d/no_jfs_boot
===================================================================
--- finish.d/no_jfs_boot	(revision 18063)
+++ finish.d/no_jfs_boot	(working copy)
@@ -1,8 +1,16 @@
 #!/bin/sh
 # grub-install fails if /boot is an jfs partition. Detect and warn.
-if [ "`udpkg --print-architecture`" != i386 ]; then
-	exit 0
-fi
+case `archdetect` in
+	i386*)
+		message_type=warning
+		;;
+	powerpc/powermac_newworld)
+		message_type=error
+		;;
+	*)
+		exit 0
+		;;
+esac
 
 . /lib/partman/definitions.sh
 
@@ -22,18 +30,24 @@
 eval "$(get_jfs_root_boot)"
 
 if [ "$boot_type" = jfs ]; then
-	db_input critical partman-jfs/jfs_boot || true
+	db_input critical partman-jfs/jfs_boot_$message_type || true
 	db_go || exit 1
-	db_get partman-jfs/jfs_boot
+	if [ $message_type = error ]; then
+		exit 1
+	fi
+	db_get partman-jfs/jfs_boot_$message_type
 	if [ "$RET" = false ]; then
 		exit 1
 	fi
 fi
 
 if [ "$boot_type" = "" ] && [ "$root_type" = jfs ]; then
-	db_input critical partman-jfs/jfs_root || true
+	db_input critical partman-jfs/jfs_root_$message_type || true
 	db_go || exit 1
-	db_get partman-jfs/jfs_root
+	if [ $message_type = error ]; then
+		exit 1
+	fi
+	db_get partman-jfs/jfs_root_$message_type
 	if [ "$RET" = false ]; then
 		exit 1
 	fi

Attachment: signature.asc
Description: Digital signature


Reply to: